petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabVecRestoreArray

Restores the read-only direct access array obtained via DMMoabVecGetArray

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecRestoreArrayRead(DM dm, Vec vec, void* array)

Collective on MPI_Comm

### Input Parameter

| dm | - The DMMoab object being set
| vec | - The Vector whose underlying data is requested
| array | - The local data array

### Keywords

MOAB, distributed array

### See Also

DMMoabVecGetArrayRead(), DMMoabVecGetArray(), DMMoabVecRestoreArray()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbvec.cxx

### Examples

src/ts/examples/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages